Page MenuHomePhabricator

VisualEditor hardly usable for talk and discussion pages
Open, Stalled, Needs TriagePublic

Description

When somebody uses VE for editing talk pages, there are several issues:

When user wants to create indented paragraph, his text is now in <blockquote> instead intended with : . This makes source code messy
https://cs.wikipedia.org/w/index.php?title=Wikipedie:Pískoviště&diff=prev&oldid=14364961
https://cs.wikipedia.org/w/index.php?title=Wikipedie:Pot%C5%99ebuji_pomoc&curid=246544&diff=14363632&oldid=14363158
Second option is not indentate, which is messy too:
https://cs.wikipedia.org/w/index.php?title=Wikipedie:Pod_lípou_(technika)&diff=prev&oldid=14341222
https://cs.wikipedia.org/w/index.php?title=Wikipedie:Pod_lípou_(práva)&diff=prev&oldid=14347965

Signature is well hidden somewhere in menu, inserting ~~~~ does not create signature

Event Timeline

JAnD created this task.Nov 29 2016, 9:17 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 29 2016, 9:17 AM
Jdforrester-WMF closed this task as Declined.Nov 29 2016, 8:06 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

From https://www.mediawiki.org/wiki/Help:VisualEditor/FAQ:

Will the visual editor be enabled on talk pages?
​No. This question comes up quite often.

  • The visual editor is designed to edit content, plain pages of text[1].
    • Talk pages aren't content. Many of the tools and design patterns that make VE nice to use to edit content make it poor to use for discussions. ​
    • To make it usable for discussions, we would have to remove or break many of those patterns in VE. We have spent a lot of time researching with users what works best there.
  • VE can't deal with structured discussions and plain-text discussions are not structured discussions.
    • Discussions like they are on traditional talk pages are not structured discussions from a technical perspective, despite the fact there is a certain number of colons or bullet points added to each answer to provide a pseudo-structure. With the current design of classical discussions, a piece of software can't know who has replied to whom – only humans can. There is no real connection between posts (which post is the parent/child of which), which is the definition of a structured discussion.
    • At the moment Flow deals with structured discussions. In Flow, each post is independent with a unique ID, linked to other posts and to a Topic (also with a unique ID), with a specific history, and all posts can be targeted precisely. It would be possible in the future to have conversations at multiple places, to move topics or replies, and to create sub-discussions with Flow. Classical talk pages, using VE or not, do not allow that.
JAnD reopened this task as Open.EditedNov 29 2016, 10:08 PM

Will the visual editor be enabled on talk pages?
​No. This question comes up quite often.

But now IS enabled and Flow have even more bugs so is not enabled in many wikis

Jdforrester-WMF changed the task status from Open to Stalled.Jan 17 2017, 8:08 PM

The options are:

  • Move all Project discussions into their own namespace (messy),
  • Move all Project discussions into Flow (risky),
  • Disable VisualEditor in the Project namespace (undoing the community request to enable it), and
  • Accept the current situation (not lovely).

Which one would get community consensus on the Czech Wikipedia?

JAnD added a comment.Jan 18 2017, 9:01 AM

The options are:

  • Move all Project discussions into their own namespace (messy),

Project namespace is mess of everything.

  • Move all Project discussions into Flow (risky),

Flow was rejected by czech community because of many bugs

  • Disable VisualEditor in the Project namespace (undoing the community request to enable it), and

Probably not acceptable

  • Accept the current situation (not lovely).

This is not solution, this is current status

Which one would get community consensus on the Czech Wikipedia?

The best solution would be

  • Enhance VE for better use in discussions
    • In selected namespaces (all talks + Project by default) add to the top signature button (should be easy)
    • In the same namespaces change <blocquote> to :

+1 to that. VE is needed in the project namespace, as it includes plenty of typical pages. However, on pl.wikipedia some project pages are de facto talk pages. Moreover, they are often heavily script-managed. So, how about fixing the underlying problem? Why are some edits wrapped in <blockquote> tags in the first place? What are the situations where this is more natural than simple : ?

A perfect example is here.

Restricted Application added a subscriber: Urbanecm. · View Herald TranscriptNov 27 2018, 7:47 AM
JAnD added a subscriber: jmac.Apr 16 2019, 8:07 PM
JTannerWMF moved this task from To Triage to Freezer on the VisualEditor board.Apr 23 2019, 3:42 PM